### File

`packages/components/eui-dialog/models/eui-dialog.config.ts`

### Implements

`EuiDialogInterface`

### Index

###### Properties
acceptLabel classList dismissLabel e2eAttr hasAcceptButton hasCloseButton hasClosedOnClickOutside hasClosedOnEscape hasDismissButton hasFooter hasMobileCustomSize height isFullScreen isHandleCloseOnAccept isHandleCloseOnClickOutside isHandleCloseOnClose isHandleCloseOnDismiss isHandleCloseOnEscape isMessageBox width

### Constructor

`constructor(values: EuiDialogInterface<HC | HCC | BC | BCC | FC | FCC>)`
Parameters :
Name | Type | Optional
values | `EuiDialogInterface<HC | HCC | BC | BCC | FC | FCC>` | No

### Properties

acceptLabel
Type : `string`
Default value : `'eui.OK'`

classList
Type : `null`
Default value : `null`

dismissLabel
Type : `string`
Default value : `'eui.CANCEL'`

e2eAttr
Type : `string`
Default value : `'eui-message-box'`

hasAcceptButton
Default value : `true`

hasCloseButton
Default value : `true`

hasClosedOnClickOutside
Default value : `false`

hasClosedOnEscape
Default value : `true`

hasDismissButton
Default value : `true`

hasFooter
Default value : `true`

hasMobileCustomSize
Default value : `false`

height
Type : `string`
Default value : `'auto'`

isFullScreen
Default value : `false`

isHandleCloseOnAccept
Default value : `false`

isHandleCloseOnClickOutside
Default value : `false`

isHandleCloseOnClose
Default value : `false`

isHandleCloseOnDismiss
Default value : `false`

isHandleCloseOnEscape
Default value : `false`

isMessageBox
Default value : `false`

width
Type : `string`
Default value : `'50%'`

# results matching ""

# No results matching ""